View Single Post
Old 04-09-09, 06:10 PM   #18
kernelOfTruth
Gentoo Linux addict
 
Join Date: Nov 2007
Location: Vienna, Austria; Germany; hello world :)
Posts: 202
Default Re: Floating point exception with > 180.29

status update:

*) updated gcc to gcc 4.4.0_pre (non-hardened) and re-emerged system -> still occurs
*) now re-emerging system with gcc 4.4.0_pre

summary:
*) it's kernel-independent (2.6.28, 2.6.29)
*) it's NOT dependent on pie / hardened toolchain (seems so)
*) it's NOT filesystem-dependent (reiser4 vs. ext4)
*) it's NOT x86_64 dependent (happens on i686 and x86_64 / intel64 / amd64)
*) it happens on core2 duo platform
*) it's NOT xorg-server 1.5.3-dependent (happens on 1.5.3 and 1.6.0)
*) it doesn't seem to be specific to 7xxx or 8xxx series (happens on 7600GT and 8600M GS)
*) it doesn't seem to be a problem with <4 GB (3 GB and 4 GB of RAM)
*) everything using acceleration (using libGL.so and libGLCore.so or linking to it) [gtk+; ksmserver / kde4 w. opengl acceleration, compositing] is affected (seems so)
*) it's NOT due to a permissions problem (also general protection / segmentation fault -> at least for me)


anomaly:
*) strangely 32bit-app googleearth is working -> probably due to compatibility apps driving that program (dunno how it works on gentoo)


uncertain / undecided:
*) pci msi
*) nopat / pat


please nvidia !

if you can tell me 100% sure that this will be fixed by going from 7600GT -> 9600GT I'll be glad to buy one (I need an upgrade anyways) but if there's so much uncertainty (including no response from you guys) I can't buy (there's no guarantee returning it afaik)
__________________
2.6.30-rc3-zen0+ w. compcache, reiser4 + ccreg40 (lzo-compression + checksumming)
gcc version 4.4.0-pre9999 built 20090425 (prerelease) rev. 146764 (Gentoo SVN)
gcc version 4.4.0 (Gentoo Hardened 4.4.0-r1, espf-0.2.1)
Ubuntu Jaunty/9.04 x86_64 Dell XPS M1330
kernelOfTruth is offline   Reply With Quote